#ifdef USE_GUI

#ifndef CONSOLEH
#define CONSOLEH

/* Routines */

extern void conTextPlot(STR *text, ULO x, ULO y, ULO fgcolor, ULO bgcolor);
extern void conRectFill(ULO x, ULO y, ULO width, ULO height, ULO color,
			STR *cspc);
extern ULO conKeyGet(void);
extern void conScreenSetup(void);
extern void conScreenClose(void);


/* Console dimensions */

extern ULO con_maxcols, con_maxrows;


/* Colors */

#define CON_BLACK         0
#define CON_BLUE          1
#define CON_GREEN         2
#define CON_CYAN          3
#define CON_RED           4
#define CON_MAGENTA       5
#define CON_BROWN         6
#define CON_WHITE         7
#define CON_GRAY          8
#define CON_LIGHTBLUE     9
#define CON_LIGHTGREEN   10
#define CON_LIGHTCYAN    11
#define CON_LIGHTRED     12
#define CON_LIGHTMAGENTA 13
#define CON_YELLOW       14
#define CON_BRIGHTWHITE  15


/* Border characters */

#define CON_UP_RIGHT_DOWN ""
#define CON_RIGHT_DOWN    ""
#define CON_UP_RIGHT_LEFT ""
#define CON_UP_RIGHT      ""
#define CON_UP_DOWN_LEFT  ""
#define CON_DOWN_LEFT     ""
#define CON_UP_LEFT       ""
#define CON_UP_DOWN       ""
#define CON_RIGHT_LEFT    ""

/* Keycodes produced by this console */

#define CON_KEY_F1       315
#define CON_KEY_F2       316
#define CON_KEY_F3       317
#define CON_KEY_F4       318
#define CON_KEY_F5       319
#define CON_KEY_F6       320
#define CON_KEY_F7       321
#define CON_KEY_F8       322
#define CON_KEY_F9       323
#define CON_KEY_F10      324
#define CON_KEY_F11      389
#define CON_KEY_F12      390
#define CON_KEY_ALT_D    288
#define CON_KEY_ALT_O    280
#define CON_KEY_ALT_C    302
#define CON_KEY_ALT_V    303
#define CON_KEY_ALT_A    286
#define CON_KEY_ALT_F    289
#define CON_KEY_ALT_H    291
#define CON_KEY_ALT_J    292
#define CON_KEY_ALT_L    294
#define CON_KEY_ALT_M    306
#define CON_KEY_ALT_S    287
#define CON_KEY_ALT_R    275
#define CON_KEY_ALT_X     17
#define CON_KEY_CTRL_Q   273
#define CON_KEY_RETURN    13
#define CON_KEY_UP       328
#define CON_KEY_DOWN     336
#define CON_KEY_LEFT     331
#define CON_KEY_RIGHT    333
#define CON_KEY_HOME     327
#define CON_KEY_PAGEUP   329
#define CON_KEY_END      335
#define CON_KEY_PAGEDOWN 337
#define CON_KEY_INSERT   338
#define CON_KEY_DELETE   339
#define CON_KEY_ALT_1    376
#define CON_KEY_ALT_0    385
#define CON_KEY_ESC       27


#endif /* CONSOLEH */
#endif /* USE_GUI */
